| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/servers/{server_id}/os-attach-interfaces | Lists port interfaces. |
Normal response codes: 202
This table shows the URI parameters for the list interfaces request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or account in a multi-tenancy cloud. |
| UUID | The UUID for the server of interest to you. |
This operation does not require a request body.
Example 3.143. List interfaces: JSON response
{
"interfaceAttachments": [
{
"port_state": "ACTIVE",
"fixed_ips": [
{
"subnet_id": "f8a6e8f8-c2ec-497c-9f23-da9616de54ef",
"ip_address": "192.168.1.3"
}
],
"net_id": "3cb9bc59-5699-4588-a4b1-b87f96708bc6",
"port_id": "ce531f90-199f-48c0-816c-13e38010b442",
"mac_addr": "fa:16:3e:4c:2c:30"
}
]
}
Example 3.144. List interfaces: XML response
<?xml version='1.0' encoding='UTF-8'?>
<interfaceAttachments>
<interfaceAttachment>
<port_state>ACTIVE</port_state>
<fixed_ips>
<fixed_ip>
<subnet_id>f8a6e8f8-c2ec-497c-9f23-da9616de54ef</subnet_id>
<ip_address>192.168.1.3</ip_address>
</fixed_ip>
</fixed_ips>
<port_id>ce531f90-199f-48c0-816c-13e38010b442</port_id>
<net_id>3cb9bc59-5699-4588-a4b1-b87f96708bc6</net_id>
<mac_addr>fa:16:3e:4c:2c:30</mac_addr>
</interfaceAttachment>
</interfaceAttachments>
This operation does not return a response body.

